#ifndef MERCURY_SYSCALL_HPP
#define MERCURY_SYSCALL_HPP

#include <cstdint>

namespace mercury::syscall {

  typedef uint32_t encoded_color;

  struct [[gnu::packed]] color {
    uint8_t r;
    uint8_t g;
    uint8_t b;
  };

  extern "C" encoded_color encode_color(color c);

  extern "C" void get_framebuffer(encoded_color *&framebuffer_out,
    uint32_t &width_out, uint32_t &height_out, uint32_t &pitch_out
  );

  extern "C" void draw_framebuffer();

}

#endif
